1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Some First Time DA to CPanel Migration Questions

Discussion in 'Migrate to cPanel' started by rayven, Dec 17, 2011.

  1. rayven

    rayven New Member

    Joined:
    Dec 17, 2011
    Messages:
    11
    Likes Received:
    0
    Trophy Points:
    1
    Good day community,
    I'm posting here because I am looking to migrate from DirectAdmin to CPanel. I have questions prior to upgrade, which I hope can be answered.
    1. Do the accounts that are to be migrated from directAdmin to CPanel need to exist before the WHM copy accounts function will copy said accounts over?
    I ask because I only have 1 server which has DirectAdmin. I plan to have my datacenter reformat, then install CPanel from scratch. I only have .tar.gz backups of the accounts in question, but can put the actual .tar.gz files on another server with DA installed if need be.
    2. Does CPanel support multiple PHP versions? As in running PHP 5.2.17 and PHP 5.3.8?
    3. Does CPanel support Installatron?
    4. Does CPanel support SuPHP configurations?
    5. What versions of mailman, PHP, and Apache get installed with CPanel fresh installs?
     
  2. cPanelTristan

    cPanelTristan Active Member
    Staff Member

    Joined:
    Oct 2, 2010
    Messages:
    7,621
    Likes Received:
    3
    Trophy Points:
    38
    Location:
    somewhere over the rainbow
    Hello rayven,

    The accounts do not need to exist on the cPanel machine before copying them over, but they do need to exist on the DirectAdmin machine. I'm a bit confused how you will be copying them over if the machine will be reformatted with cPanel. Accounts backed up with DirectAdmin would not be able to be unpacked by the cPanel machine. When cPanel migrates an account, it will place files onto the DirectAdmin machine to create a packaged file that works with cPanel. It will not work to unpackage a DirectAdmin created backup for cPanel.

    Currently, cPanel only supports PHP 4 and PHP 5 being used simultaneously. Running multiple PHP 5 versions is not yet supported.

    We do not directly support Installatron, but Installatron can be installed onto cPanel machines. They are listed in our application catalog:

    Installatron « Application Catalog

    They also have a guide on their site for installing Installatron with cPanel/WHM:

    Download and Install Installatron Plugin for cPanel/WHM

    Could you clarify what is meant by suPHP configurations? Do you mean editing of /opt/suphp/suphp.conf file in WHM? The answer to that would be no, since you would have to manually edit that configuration file in command line.

    Alternatively, do you mean does cPanel support suPHP as one of the PHP handlers available? The answer to that question would be yes, since you can configure suPHP during EasyApache compile (WHM > EasyApache (Apache Update)), then you would be able to select suPHP as the handler in WHM > Apache Configuration > PHP and SuExec Configuration area. Please note that suPHP is the default PHP handler for new cPanel installs.

    On new cPanel installations, these are the Mailman, PHP and Apache versions used:

    Mailman version: 2.1.14-1
    PHP version: 5.2.17
    Apache version: 2.2.21

    Thanks!
     

Share This Page